/******************************************************************************
;  *   	@MCU				 : MC30P6080
;  *   	@Create Date         : 2019.12.20
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQȺ   : 814641858
;  *    @΢ٷ̳       : http://bbs.sinomcu.com/
;  *   	@Copyright           : 2019 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                ģPWM     
							P10     500HZ  80%
							P11     500HZ  50%
							P12     500HZ  30%
							P14     1KHZ   80%
							P15     1KHZ   50%                              
							//ɸдԼram/rom                        		
******************************************************************************/
#ifndef USER
#define USER

#include "mc30-common.h"
#include "mc30p6230.h"


#define u8  unsigned char
#define u16 unsigned int
#define u32 unsigned long int
#define uint8_t  unsigned char
#define uint16_t unsigned int
#define uint32_t unsigned long int

u8 abuf,statusbuf;

#define ON	1
#define OFF 0

#define PWM0_T_DEF	20
#define PWM1_T_DEF	10

//==============IO Define===============
#define	PWM0_IO_CH0		P10D
#define PWM0_IO_CH0ON	PWM0_IO_CH0=ON
#define PWM0_IO_CH0OFF	PWM0_IO_CH0=OFF

#define	PWM0_IO_CH1		P11D
#define PWM0_IO_CH1ON	PWM0_IO_CH1=ON
#define PWM0_IO_CH1OFF	PWM0_IO_CH1=OFF

#define	PWM0_IO_CH2		P12D
#define PWM0_IO_CH2ON	PWM0_IO_CH2=ON
#define PWM0_IO_CH2OFF	PWM0_IO_CH2=OFF

#define	PWM1_IO_CH0		P14D
#define PWM1_IO_CH0ON	PWM1_IO_CH0=ON
#define PWM1_IO_CH0OFF	PWM1_IO_CH0=OFF

#define	PWM1_IO_CH1		P15D
#define PWM1_IO_CH1ON	PWM1_IO_CH1=ON
#define PWM1_IO_CH1OFF	PWM1_IO_CH1=OFF


//=============Global Variable ===========
volatile uint8_t PWM0_TDR;					//PWMڼĴ
volatile uint8_t PWM1_TDR;					//PWMڼĴ
volatile uint8_t PWM0_CH0_DDR;				//PWMռձȼĴ
volatile uint8_t PWM0_CH1_DDR;				//PWMռձȼĴ
volatile uint8_t PWM0_CH2_DDR;				//PWMռձȼĴ		
volatile uint8_t PWM1_CH0_DDR;				//PWMռձȼĴ	
volatile uint8_t PWM1_CH1_DDR;				//PWMռձȼĴ

uint8_t timer0_num1;				
uint8_t timer0_num2;					




void Sys_Init(void);
void CLR_RAM(void);
void IO_Init(void);
void Timer_INT_Init(void);
void PWMT_Config(uint8_t PWM0T,uint8_t PWM1T);


//============Define  Flag=================
typedef union {
   	unsigned char byte;
   	struct
   	{
   	   	u8 bit0 : 1;
   	   	u8 bit1 : 1;
   	   	u8 bit2 : 1;
   	   	u8 bit3 : 1;
   	   	u8 bit4 : 1;
   	   	u8 bit5 : 1;
   	   	u8 bit6 : 1;
   	   	u8 bit7 : 1;
   	} bits;
}bit_flag;
volatile bit_flag flag1;

//#define  	FLAG_TIMER0_500ms  	flag1.bits.bit0	   	 // ɨ־λ


#endif


/**************************** end of file *********************************************/


